List Documents by Envelope ID
curl --request GET \
--url https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"ID": "987e6543-e21b-12d3-a456-426614174999",
"name": "Document",
"statue": "pending",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/sign/envelopes"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Not Found",
"status": 404,
"detail": "Envelope with ID 'envelop-123' not found",
"instance": "/sign/envelopes/envelop-123"
}Documents
List Documents by Envelope ID
The List Documents by Envelope ID endpoint retrieves all documents associated with a specific envelope. Documents are returned in an items array within the JSON response.
The request must include the envelope ID to ensure the complete set of documents is retrieved for the correct envelope.
GET
/
sign
/
envelopes
/
{envelopeID}
/
documents
List Documents by Envelope ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique UUIDv4 string that identifies the envelope in the Nitro system.
Response
List all documents associated with the envelope.
- Pending
- Uploaded
- Failed
- Signed
- Sealed
Response for a pending document
Name of the file provided by the user.
Minimum string length:
1Unique uuid identifier for the document.
Minimum string length:
1UTC timestamp indicating when the document was created.
Current status of the document.
Available options:
pending, uploaded, failed, signed, sealed